#!/usr/bin/python3

import curses
import locale

locale.setlocale(locale.LC_ALL, "")

def doStuff(stdscr):
  stdscr.keypad(1)
  message = "Press 'q' to quit.\n"
  stdscr.addstr(0, 0, message, 0)
  while True:
    c = stdscr.get_wch() # pauses until a key's hit
    if c == 'q':
      break
    stdscr.addstr('%s %r\n' % (c, c))

curses.wrapper(doStuff)
